Bug 1472952 - python2-speedtest-cli missing dependencies?
python2-speedtest-cli missing dependencies?
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-speedtest-cli (Show other bugs)
el6
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 12:24 EDT by Matt Castelein
Modified: 2017-11-27 05:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2017-07-19 12:24:16 EDT
Description of problem:
Dependencies Resolved

================================================================================================================================
 Package                                 Arch                     Version                          Repository              Size
================================================================================================================================
Installing:
 python2-speedtest-cli                   noarch                   1.0.2-1.el6                      epel                    40 k

Transaction Summary
================================================================================================================================
Install       1 Package(s)

Total download size: 40 k
...
Running Transaction
  Installing : python2-speedtest-cli-1.0.2-1.el6.noarch                                                                     1/1
  Verifying  : python2-speedtest-cli-1.0.2-1.el6.noarch                                                                     1/1

Installed:
  python2-speedtest-cli.noarch 0:1.0.2-1.el6

Complete!
...
# speedtest
Traceback (most recent call last):
  File "/usr/bin/speedtest", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources


Version-Release number of selected component (if applicable):
python2-speedtest-cli-1.0.2-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1.Install package
2.run speedtest

Actual results:
missing module error

Expected results:
Speedtest runs
Comment 1 Vadim Raskhozhev 2017-07-30 17:34:10 EDT
Exactly the same here
Comment 2 Vadim Raskhozhev 2017-07-31 07:38:55 EDT
speedtest works as it should after having manually installed python-setuptools
Comment 3 Vadim Raskhozhev 2017-07-31 08:01:36 EDT
python2-speedtest-cli at EPEL 7 suffers from this problem as well. Its solution is still as simple as `yum install python-setuptools`. Please consider adding explicit dependency on python-setuptools to python2-speedtest-cli both in EPEL 6 and EPEL 7.

Note You need to log in before you can comment on or make changes to this bug.